Bug 431044 - Review Request: perl-ccom - Perl module for context-sensitive phonetic string replacement
Review Request: perl-ccom - Perl module for context-sensitive phonetic string...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 07:45 EST by Robert Scheck
Modified: 2008-02-07 16:00 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.4.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:57:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-01-31 07:45:58 EST
Spec URL: http://labs.linuxnetz.de/bugzilla/perl-ccom.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/perl-ccom-1.4.1-1.src.rpm
A perl module for context-sensitive phonetic string replacement to modify
strings according to predefined replacement rules in such a way that words
with the same spelling (e.g. "tail" and "tale") are converted to the same
string. This can, for example, be used to implement error-tolerant search
routines in address databases. It contains phonetic rules for German only,
but the software has been prepared for multi-language support.
Comment 1 Jason Tibbitts 2008-02-02 12:28:19 EST
Builds OK and rpmlint is silent.

The naming is a bit tough; this isn't a CPAN module and the tarball name
(phonet.tgz) doesn't match the module name, but it does unpack into a directory
which matches the module name.  Odd.  CPAN has no hits for either "phonet" or
"ccom".  I'd tend to agree with you that perl-ccom is a better name than
perl-phonet; this wouldn't be the first time upstream has chosen a tarball name
that has nothing to do with the actual software.

There's a language oddity in the description; I assume it comes from a
mistranslation.  The words "tail" and "tale" do not have the same spelling, but
they have the same pronunciation.  I think everything is correct if you just
s/spelling/pronunciation/.

* source files match upstream:
   05f04c7f0d4a4294d3af3df8ee07fdfe397ae1b30ac36d01ec1a381399e0830b
   phonet.tgz
* package meets naming and versioning guidelines as far as I can tell.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
? description needs a 
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   ccom.so()(64bit)
   perl(ccom) = 1.4
   perl-ccom = 1.4.1-1.fc9
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Carp)
   perl(DynaLoader)
   perl(Exporter)
   perl(strict)
   perl(vars)

* %check is present and passes (not much of a test suite, but it runs):
   1..1
   ok 1

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED, just fix up the description.
Comment 2 Robert Scheck 2008-02-03 12:04:34 EST
Jason, I'll have a look to that before importing it to CVS.

New Package CVS Request
=======================
Package Name: perl-ccom
Short Description: Perl module for context-sensitive phonetic string 
replacement
Owners: robert
Branches: F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: no
Comment 3 Kevin Fenzi 2008-02-03 15:21:51 EST
cvs done.

I might have asked before, but will again: Any reason for the cvsextras commits
no? This does mean that other maintainers can't help with this package if you
are away or unavailable. 
Comment 4 Robert Scheck 2008-02-03 15:28:08 EST
I know, what this means. This package has nearly no upstream activity and I 
made the worse experience, that packagers are more likely to break somebody's 
package rather helping - sorry (add feature A, but A is know to break B or 
similar cases).
Comment 5 Robert Scheck 2008-02-03 17:19:38 EST
38201 (perl-ccom): Build on target fedora-4-epel succeeded.
38199 (perl-ccom): Build on target fedora-5-epel succeeded.

Package: perl-ccom-1.4.1-1.fc7 Tag: dist-fc7-updates-candidate Status: complete
Package: perl-ccom-1.4.1-1.fc8 Tag: dist-f8-updates-candidate Status: complete
Package: perl-ccom-1.4.1-1.fc9 Tag: dist-f9 Status: complete
Comment 6 Fedora Update System 2008-02-03 17:27:26 EST
perl-ccom-1.4.1-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-02-03 17:29:46 EST
perl-ccom-1.4.1-1.fc7 has been submitted as an update for Fedora 7
Comment 8 Fedora Update System 2008-02-07 15:57:11 EST
perl-ccom-1.4.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-02-07 16:00:10 EST
perl-ccom-1.4.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.